package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 标识管理对象 t_bs
 * 
 * @author 胡懿
 * @date 2025-03-25
 */
public class Bs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;
    /**
     * 标识
     */
    private String handle;
    /** 咱自己的字段 */
    @Excel(name = "咱自己的字段")
    private String content;

    /** 模版名称 */
    @Excel(name = "模版名称")
    private String modelName;

    /** 模版id */
    @Excel(name = "模版id")
    private Long modelId;

    /** 自己的url */
    @Excel(name = "自己的url")
    private String url;

    /** 代理商的url */
    @Excel(name = "代理商的url")
    private String dlUrl;

    /** 标识 */
    @Excel(name = "标识")
    private String sign;

    /** 企业前缀 */
    @Excel(name = "企业前缀")
    private String prefix;

    /** 推向线上的 */
    @Excel(name = "推向线上的")
    private String contentLine;

    private Long dlId;

    private String dlName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    public void setModelName(String modelName) 
    {
        this.modelName = modelName;
    }

    public String getModelName() 
    {
        return modelName;
    }

    public void setModelId(Long modelId) 
    {
        this.modelId = modelId;
    }

    public Long getModelId() 
    {
        return modelId;
    }

    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }

    public void setDlUrl(String dlUrl) 
    {
        this.dlUrl = dlUrl;
    }

    public String getDlUrl() 
    {
        return dlUrl;
    }

    public void setSign(String sign) 
    {
        this.sign = sign;
    }

    public String getSign() 
    {
        return sign;
    }

    public void setPrefix(String prefix) 
    {
        this.prefix = prefix;
    }

    public String getPrefix() 
    {
        return prefix;
    }

    public void setContentLine(String contentLine) 
    {
        this.contentLine = contentLine;
    }

    public String getContentLine() 
    {
        return contentLine;
    }

    public Long getDlId() {
        return dlId;
    }

    public void setDlId(Long dlId) {
        this.dlId = dlId;
    }

    public String getDlName() {
        return dlName;
    }

    public void setDlName(String dlName) {
        this.dlName = dlName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("id", getHandle())
            .append("content", getContent())
            .append("modelName", getModelName())
            .append("modelId", getModelId())
            .append("url", getUrl())
            .append("dlUrl", getDlUrl())
            .append("dlId", getDlId())
            .append("dlName", getDlName())
            .append("sign", getSign())
            .append("prefix", getPrefix())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("contentLine", getContentLine())
            .toString();
    }
}
